%bcond_with gtk3

%define major		7
%define libname		%mklibname lepton %{major}
%define devname		%mklibname lepton -d

%define attr_major	2
%define libattr		%mklibname leptonattrib %{attr_major}
%define devattr		%mklibname leptonattrib -d

%define gui_major	1
%define libgui		%mklibname leptongui %{gui_major}
%define devgui		%mklibname leptongui -d

%define date 20201211
%define rel 1

Name:		lepton-eda
Summary:	A suite of free software tools for electronic design
Version:	1.9.13
Release:	%mkrel %{date}.%{rel}
Group:		Sciences/Other
License:	GPLv2
Url:		https://github.com/lepton-eda
Source0:	https://github.com/lepton-eda/lepton-eda/releases/download/%{version}-%{date}/lepton-eda-%{version}.tar.gz
BuildRequires:	flex
BuildRequires:	gawk
BuildRequires:	git-core
BuildRequires:	groff
BuildRequires:	libstroke-devel
%if %{with gtk3}
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksheet-4.0)
%else
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtkextra-3.0)
%endif
BuildRequires:	pkgconfig(guile-3.0)
BuildRequires:	texinfo

Requires:	guile3.0
## NOTE these are not auto-required:
Requires:		%{libname} = %{version}-%{release}
Requires:		%{libattr} = %{version}-%{release}
Requires:		%{libgui} = %{version}-%{release}

%description
Lepton EDA is a suite of free software tools for designing electronics.
It provides schematic capture, netlisting into over 30 netlist formats, and
many other features.
It was forked from the gEDA/gaf suite in late 2016 by most of its active
developers at that time.

###################
%package -n %{libname}
Summary:		Library files for %{name}
Requires:		liblepton-i18n >= %{version}-%{release}

%description -n %{libname}
Library files for %{name}

%package -n liblepton-i18n
Summary:		Internationalization and locale data for liblepton
BuildArch:		noarch

%description -n liblepton-i18n
Internationalization and locale data for liblepton.

%package -n %{devname}
Summary:		Development files for %{name}
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains header files needed by developers.

###################
%package -n %{libattr}
Summary:		Attrib editor library files for %{name}-attrib
Requires:		libleptonattrib-i18n >= %{version}-%{release}

%description -n %{libattr}
Library files for %{name}-attrib

%package -n libleptonattrib-i18n
Summary:		Internationalization and locale data for %{name}-attrib
BuildArch:		noarch

%description -n libleptonattrib-i18n
Internationalization and locale data for %{name}-attrib.

%package -n %{devattr}
Summary:		Development files for %{name}-attrib
Requires:		%{libattr} = %{version}-%{release}
Provides:		%{name}-attrib-devel = %{version}-%{release}

%description -n  %{devattr}
This package contains header files needed by developers.

###################
%package -n %{libgui}
Summary:		GUI library files

%description -n  %{libgui}
Library files for %{name}-gui
Requires:		%{name} = %{version}-%{release}

%package -n %{devgui}
Summary:		Development files for %{name}-gui
Requires:		%{libgui} = %{version}-%{release}
Provides:		%{name}-gui-devel = %{version}-%{release}

%description -n %{devgui}
This package contains header files needed by developers.


%prep
%autosetup -p1 -n %{name}-%{version}

%build
autoreconf --install --force --verbose
%configure %{?_with_gtk3} \
  --disable-update-xdg-database
%make_build

%install
%make_install

# Symlink library files to guile extensions dir:
mkdir -p %{buildroot}%{_libdir}/guile/3.0/extensions
ln -s %{_libdir}/liblepton.so.%{major} %{buildroot}%{_libdir}/guile/3.0/extensions/liblepton.so
ln -s %{_libdir}/libleptonattrib.so.%{attr_major} %{buildroot}%{_libdir}/guile/3.0/extensions/libleptonattrib.so
ln -s %{_libdir}/libleptongui.so.%{gui_major} %{buildroot}%{_libdir}/guile/3.0/extensions/libleptongui.so

# Create profile.d file for lepton-eda to set LIBLEPTON env var
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/lepton-eda.sh << EOF
export LIBLEPTON=%{_libdir}/guile/3.0/extensions/liblepton.so
EOF

find %{buildroot} -name "*.la" -delete

%find_lang lepton-schematic
%find_lang lepton-cli
%find_lang liblepton
%find_lang libleptonattrib

%files -f lepton-schematic.lang -f lepton-cli.lang
%{_bindir}/*
%{_docdir}/lepton-eda/
%{_datadir}/lepton-eda/
%{_datadir}/mime/packages/liblepton.xml
%{_datadir}/applications/*.desktop
%{_datadir}/info/coordinate-space.png.xz
%{_datadir}/info/path-example.png.xz
%{_datadir}/info/text-layout.png.xz
%{_infodir}/lepton*.info*
%{_mandir}/man1/*
%{_iconsdir}/hicolor/*/*/*.{svg,png}
%{_sysconfdir}/profile.d/lepton-eda.sh

%files -n %{libname}
%{_libdir}/liblepton.so.%{major}{,.*}
%{_libdir}/guile/3.0/extensions/liblepton.so

%files -n liblepton-i18n -f liblepton.lang

%files -n %{devname}
%{_includedir}/liblepton/
%{_libdir}/pkgconfig/liblepton.pc
%{_libdir}/liblepton.so

%files -n %{libattr}
%{_libdir}/libleptonattrib.so.%{attr_major}{,.*}
%{_libdir}/guile/3.0/extensions/libleptonattrib.so

%files -n libleptonattrib-i18n -f libleptonattrib.lang

%files -n %{devattr}
%{_includedir}/libleptonattrib/
%{_libdir}/pkgconfig/libleptonattrib.pc
%{_libdir}/libleptonattrib.so

%files -n %{libgui}
%{_libdir}/libleptongui.so.%{gui_major}{,.*}
%{_libdir}/guile/3.0/extensions/libleptongui.so

%files -n %{devgui}
%{_libdir}/pkgconfig/libleptongui.pc
%{_libdir}/libleptongui.so


%changelog
* Fri Dec 18 2020 barjac <barjac> 1.9.13-20201211.1.mga8
+ Revision: 1660939
- drop mkrel -c

* Sat Dec 12 2020 barjac <barjac> 1.9.13-0.20201211.1.mga8
+ Revision: 1655742
- new version 1.9.13
- adjust files list for info

* Sat Dec 05 2020 wally <wally> 1.9.12-20201204.2.mga8
+ Revision: 1652767
- disable xdg database updates during the build

* Sat Dec 05 2020 wally <wally> 1.9.12-20201204.1.mga8
+ Revision: 1652754
- new version 1.9.12
- drop libleptonrenderer (merged into liblepton)
- split out translations

* Sun Nov 29 2020 wally <wally> 1.9.11-0.20201005.2.mga8
+ Revision: 1650211
- switch to guile3.0

* Sun Oct 18 2020 barjac <barjac> 1.9.11-0.20201005.1.mga8
+ Revision: 1636792
- Set rel to 1
- add requires to main package on libs
- symlink libs in guile ext dir
- add LIBLEPTON env var in profile.d/lepton-eda
- move .so back into devel pkgs
- move .so files from dev to lib pkgs to fix runtime
- minor tweaks
- start libification
- patch tEDAx export (upstream bugfix)

* Thu Oct 08 2020 barjac <barjac> 1.9.11-0.20201005.0.1.mga8
+ Revision: 1632883
- new package initial import

